#
# This script was written by Filipe Custodio <filipecustodio@yahoo.com>
#
# See the Nessus Scripts License for details
#
# Changes by rd :
# - description slightly modified to include a solution

if(description)
{
 script_id(10492);

 name["english"] = "IIS IDA/IDQ Path Reveal";
 script_name(english:name["english"]);
 
 desc["english"] = "
IIS 4.0 allows a remote attacker to obtain the real pathname of the document
root by requesting non-existent files with .ida or .idq extensions. 

An attacker may use this flaw to gain more knowlege about the remote
host, and make more accurate attacks

Solution: Select'Preferences -> Home directory -> Application', and check 
          the box 'Check if file exists' for the IISAPI mappings of your server
	  
Risk factor: Low";

 script_description(english:desc["english"]);
 
 summary["english"] = "Determines IIS IDA/IDQ Path Reveal vulnerability";
 
 script_summary(english:summary["english"]);
 script_category(ACT_GATHER_INFO);
 script_cve_id("CAN-2000-0071");
 script_copyright(english:"This script is Copyright (C) 2000 Filipe Custodio");
 family["english"] = "CGI abuses";
 script_family(english:family["english"]);
 script_dependencie("find_service.nes");
 script_require_ports("Services/www", 80);
 exit(0);
}

#
# The script code starts here
#

port = get_kb_item("Services/www");
if(!port)port = 80;
if(get_port_state(port))
{
 soc = open_sock_tcp(port);
 if(!soc)exit(0);
 
 req = string("HEAD / HTTP/1.0\r\n\r\n");
 send(socket:soc, data:req);
 r = recv(socket:soc, length:1024);
 close(soc);
 
 #
 # Only test IIS
 #
 if(!(egrep(pattern:"^Server:.*IIS.*$", string:r))) exit(0);

 req = string("GET /anything.idq HTTP/1.0\r\n\r\n");
 soc = open_sock_tcp(port);
 if(!soc)exit(0);
 send(socket:soc, data:req);
 r = recv(socket:soc, length:16384);
 close(soc);
 str = egrep( pattern:"^<HTML>", string:r ) - "<HTML>";
 
 if ( "\anything" >< str ) {
   security_warning( port:port );
 } else {
   req = string("GET /anything.ida HTTP/1.0\r\n\r\n");
   soc = open_sock_tcp(port);
   if(!soc)exit(0);
   send(socket:soc, data:req);
   r = recv(socket:soc, length:16384);
   close(soc);
   str = egrep( pattern:"^<HTML>", string:r ) - "<HTML>";
   if ( "\anything" >< str ) {
      security_warning( port:port );
   }
 }
}
